| Home | Libraries | People | FAQ | More

## Function template operator>=

boost::operator>= — Compare two `circular_buffer`s element-by-element to determine if the left one is greater or equal to the right one.

## Synopsis

    // In header: <boost/circular_buffer/base.hpp>

    template<typename T, typename Alloc>
      bool operator>=(const circular_buffer< T, Alloc > & lhs,
                      const circular_buffer< T, Alloc > & rhs);

## Description

Complexity. Linear (in the size of the ``circular_buffer``s).

Iterator Invalidation. Does not invalidate any iterators.

See Also:

`operator<(const circular_buffer<T,Alloc>&, const circular_buffer<T,Alloc>&)`

Parameters: |
`lhs` | The ``circular_buffer`` to compare.
`rhs` | The ``circular_buffer`` to compare.
Returns: | `!(lhs < rhs)`
Throws: | Nothing.